<div class="mainDiv">
    <cs-loading
        class="mainDiv"
        *ngIf="isRequestInProgress$ | async"
    ></cs-loading>
    <div *ngIf="(errorMessage$ | async)?.length">
        {{ errorMessage$ | async }}
    </div>
    <div *ngIf="!(errorMessage$ | async)?.length">
        <h1 *ngIf="!(isRequestInProgress$ | async)">List of products</h1>
        <section *ngIf="!(isRequestInProgress$ | async)">
            <div class="example-button-row">
                <div *ngFor="let data of productList$ | async; let i = index">
                    <button
                        mat-raised-button
                        color="primary"
                        *ngIf="i % 2 === 0"
                        (click)="getProductDefinitions(data.definitionUrl)"
                    >
                        {{ data.name }}
                    </button>
                    <button
                        mat-raised-button
                        color="accent"
                        *ngIf="i % 2 !== 0"
                        v
                        (click)="getProductDefinitions(data.definitionUrl)"
                    >
                        {{ data.name }}
                    </button>
                </div>
            </div>
        </section>
        <div *ngIf="!(isRequestInProgress$ | async)">
            <router-outlet></router-outlet>
        </div>
    </div>
</div>
